%global __requires_exclude pear\\(.*\\)

Summary:	A Comprehensive Linux Benchmarking System
Name:		phoronix-test-suite
Version:	10.2.1
Release:	%mkrel 1
License:	GPLv3
Group:		Publishing
Url:		http://www.phoronix-test-suite.com/
Source0:	http://www.phoronix-test-suite.com/releases/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	php-cli
Requires:	php-gd
Requires:	php-xml
Requires:	php-dom
Requires:	php-openssl
Requires:	php-sqlite3
Requires:	php-json
Requires:	php-posix
Requires:	php-curl
Requires:	php-pcntl
Requires:	php-sockets
Requires(post):	rpm-helper
Requires(preun): rpm-helper

Recommends:	freeimage-devel
Recommends:	ftjam
Recommends:	git
Recommends:	gcc-gfortran
Recommends:	java
Recommends:	libaio-devel
Recommends:	perl-devel
Recommends:	perl-OpenGL
Recommends:	pkgconfig(fftw3)
Recommends:	pkgconfig(glew)
Recommends:	pkgconfig(gtk+-2.0)
Recommends:	pkgconfig(imlib2)
Recommends:	pkgconfig(libcurl)
Recommends:	pkgconfig(libopenjpeg1)
Recommends:	pkgconfig(libpng)
Recommends:	pkgconfig(openal)
Recommends:	pkgconfig(popt)
Recommends:	pkgconfig(portaudio-2.0)
Recommends:	pkgconfig(sdl)
Recommends:	pkgconfig(SDL_gfx)
Recommends:	pkgconfig(SDL_net)
Recommends:	pkgconfig(SDL_image)
Recommends:	pkgconfig(SDL_ttf)
Recommends:	pkgconfig(vorbis)
Recommends:	pkgconfig(x11)
Recommends:	SDL_sound-devel
Recommends:	scons
Recommends:	task-c-devel
Recommends:	task-c++-devel
Recommends:	tcsh

%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking
platform available for Linux and is designed to carry out qualitative and
quantitative benchmarks in a clean, reproducible, and easy-to-use manner.

%prep
%autosetup -p1 -n %{name}

# fix non-executable-script
chmod +x pts-core/external-test-dependencies/scripts/install-macports-packages.sh
chmod +x pts-core/static/sample-pts-client-update-script.sh

%build

%install
export DESTDIR=%{buildroot}
./install-sh %{_prefix}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}-gui.desktop <<EOF
[Desktop Entry]
Name=Phoronix Test Suite (GUI)
GenericName=A GUI for Phoronix Test Suite Benchmarking Utility
GenericName[fr]=Une interface graphique pour l'utilitaire d'évaluation Phoronix Test Suite
Comment=Phoronix Test Suite GUI
Comment[fr]=Interface graphique de Phoronix Test Suite
Exec=%{_bindir}/%{name} gui
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;Monitor;X-Mageia-CrossDesktop;
EOF

%post
%_post_service phoromatic-client
%_post_service phoromatic-server
%_post_service phoronix-result-server

%preun
%_preun_service phoromatic-client
%_preun_service phoromatic-server
%_preun_service phoronix-result-server

%files
%doc %{_datadir}/doc/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_unitdir}/phoromatic-client.service
%{_unitdir}/phoromatic-server.service
%{_unitdir}/phoronix-result-server.service
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-gui.desktop
%{_datadir}/applications/%{name}-launcher.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/mimetypes/*.png
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Feb 03 2021 daviddavid <daviddavid> 10.2.1-1.mga8
+ Revision: 1674669
- new version: 10.2.1 (fixes mga#27983)

* Mon Jan 25 2021 daviddavid <daviddavid> 10.0.1-2.mga8
+ Revision: 1673244
- add patch to fix CurlHandle error (mga#27983)

* Fri Oct 23 2020 daviddavid <daviddavid> 10.0.1-1.mga8
+ Revision: 1638689
- new version: 10.0.1

* Thu Oct 15 2020 daviddavid <daviddavid> 10.0.0-1.mga8
+ Revision: 1636158
- new version: 10.0.0

* Sat Jul 11 2020 daviddavid <daviddavid> 9.8.0-1.mga8
+ Revision: 1604520
- new version: 9.8.0

* Thu May 28 2020 daviddavid <daviddavid> 9.6.1-1.mga8
+ Revision: 1588273
- new version: 9.6.1

* Wed Apr 22 2020 daviddavid <daviddavid> 9.6.0-1.mga8
+ Revision: 1570616
- new version: 9.6.0

* Wed Mar 04 2020 daviddavid <daviddavid> 9.4.1-1.mga8
+ Revision: 1553669
- new version: 9.4.1

* Wed Feb 26 2020 daviddavid <daviddavid> 9.4.0-1.mga8
+ Revision: 1550710
- new version: 9.4.0

* Tue Feb 18 2020 umeabot <umeabot> 9.2.1-2.mga8
+ Revision: 1539925
- Mageia 8 Mass Rebuild

* Sat Dec 14 2019 daviddavid <daviddavid> 9.2.1-1.mga8
+ Revision: 1467123
- new version: 9.2.1

* Wed Dec 04 2019 daviddavid <daviddavid> 9.2.0-1.mga8
+ Revision: 1464348
- new version: 9.2.0

* Wed Oct 02 2019 daviddavid <daviddavid> 9.0.1-1.mga8
+ Revision: 1448741
- new version: 9.0.1

* Thu Sep 19 2019 daviddavid <daviddavid> 9.0.0-1.mga8
+ Revision: 1443743
- new version: 9.0.0

* Sun Jun 30 2019 daviddavid <daviddavid> 8.8.1-1.mga8
+ Revision: 1416331
- new version: 8.8.1

* Sat Feb 23 2019 daviddavid <daviddavid> 8.6.1-1.mga7
+ Revision: 1369447
- new version: 8.6.1

* Mon Dec 10 2018 daviddavid <daviddavid> 8.4.1-1.mga7
+ Revision: 1339974
- new version: 8.4.1

* Tue Nov 27 2018 daviddavid <daviddavid> 8.4.0-1.mga7
+ Revision: 1335893
- new version: 8.4.0

* Thu Sep 20 2018 umeabot <umeabot> 8.2.0-2.mga7
+ Revision: 1287534
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 daviddavid <daviddavid> 8.2.0-1.mga7
+ Revision: 1258486
- new version: 8.2.0

* Fri Jun 29 2018 daviddavid <daviddavid> 8.0.1-1.mga7
+ Revision: 1240669
- new version: 8.0.1

* Fri Feb 16 2018 daviddavid <daviddavid> 7.8.0-1.mga7
+ Revision: 1201655
- new version: 7.8.0

* Sat Dec 23 2017 daviddavid <daviddavid> 7.6.0-1.mga7
+ Revision: 1184125
- new version: 7.6.0

* Sat Sep 23 2017 daviddavid <daviddavid> 7.4.0-1.mga7
+ Revision: 1157851
- new version: 7.4.0

* Wed Jul 19 2017 daviddavid <daviddavid> 7.2.1-1.mga7
+ Revision: 1124991
- new version: 7.2.1

* Wed Apr 26 2017 akien <akien> 7.0.1-1.mga6
+ Revision: 1097538
- Version 7.0.1

* Sun Jan 29 2017 daviddavid <daviddavid> 6.8.0-1.mga6
+ Revision: 1084128
- new version: 6.8.0

* Tue Sep 27 2016 daviddavid <daviddavid> 6.6.0-1.mga6
+ Revision: 1057046
- new version: 6.6.0-Loppa
- add some requiered packages
- update GUI desktop file and add French translation

* Thu Mar 10 2016 daviddavid <daviddavid> 6.2.2-1.mga6
+ Revision: 988697
- new version: 6.2.2

* Sun Feb 28 2016 daviddavid <daviddavid> 6.2.1-1.mga6
+ Revision: 980495
- new version: 6.2.1

* Sat Feb 20 2016 daviddavid <daviddavid> 6.2.0-1.mga6
+ Revision: 972443
- new version: 6.2.0

* Mon Nov 23 2015 daviddavid <daviddavid> 6.0.1-1.mga6
+ Revision: 905242
- new version: 6.0.1

* Mon Nov 16 2015 daviddavid <daviddavid> 5.8.1-1.mga6
+ Revision: 903546
- new version: 5.8.1
- add systemd service
- fix non-executable-script
- fix owner of data dir
- update file list

* Thu Jan 08 2015 spuhler <spuhler> 5.0.1-4.mga5
+ Revision: 809366
- removed Requires: php-gtk2
 * we removed this package is it doesn't work
 * and it's unmaintained upstream

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 745925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 687086
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/
+ fwang <fwang>
- replace with mageia

* Mon Apr 28 2014 dams <dams> 5.0.1-1.mga5
+ Revision: 618716
- new version 5.0.1

* Mon Mar 17 2014 dams <dams> 5.0.0-1.mga5
+ Revision: 604450
- new version 5.0.0

* Mon Dec 23 2013 dams <dams> 4.8.6-1.mga4
+ Revision: 560070
- new version 4.8.6

* Mon Oct 21 2013 umeabot <umeabot> 4.8.3-2.mga4
+ Revision: 539576
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 4.8.3-1.mga4
+ Revision: 492462
- new version 4.8.3

* Fri Sep 06 2013 dams <dams> 4.8.2-1.mga4
+ Revision: 475378
- new version 4.8.2

* Mon Aug 26 2013 dams <dams> 4.8.1-1.mga4
+ Revision: 471949
- new version 4.8.1

* Sat Jun 08 2013 dams <dams> 4.6.1-1.mga4
+ Revision: 440732
- new version 4.6.1

* Wed May 29 2013 dams <dams> 4.6.0-1.mga4
+ Revision: 432886
- new version 4.6.0

* Tue Mar 26 2013 dams <dams> 4.4.1-1.mga3
+ Revision: 405253
- new version 4.4.1

* Tue Mar 05 2013 dams <dams> 4.4.0-1.mga3
+ Revision: 401481
- new version 4.4.0

* Sun Jan 13 2013 umeabot <umeabot> 4.2.0-2.mga3
+ Revision: 375654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 dams <dams> 4.2.0-1.mga3
+ Revision: 335236
- new version 4.2.0

* Wed Aug 29 2012 dams <dams> 4.0.1-1.mga3
+ Revision: 285005
- new version 4.0.1
- clean specfile

* Sun Aug 12 2012 dams <dams> 4.0.0-1.mga3
+ Revision: 280886
- new version 4.0.0

* Mon Apr 23 2012 dams <dams> 3.8.0-1.mga2
+ Revision: 232954
- new version 3.8.0

* Mon Jan 09 2012 dams <dams> 3.6.1-1.mga2
+ Revision: 193989
- new version 3.6.1

* Tue Dec 20 2011 dams <dams> 3.6.0-1.mga2
+ Revision: 184811
- new version 3.6.0

* Mon Nov 07 2011 dams <dams> 3.4.0-1.mga2
+ Revision: 164912
- clean specfile
- imported package phoronix-test-suite

